Submit OTP API
Description
This API is used to submit the OTP received by the user on his/her mobile number in response to the OTP request made in the Get OTP API call. This API validates the OTP and returns a response with the request ID and status.
Request
- Method: POST
- URL:
- Preproduction - https://api-preproduction.signzy.app/api/v3/underwriting/submit-passbook-otp
- Production - https://api.signzy.app/api/v3/underwriting/submit-passbook-otp
- Headers:
- Authorization: The API key required to authenticate the request. Please use the key that you will receive from our sale, csm or the support team.
- Content-Type: application/json
- Body:
{
"txnId": "<txn ID>",
"otp": "<OTP>"
}- Request Parameters:
Key | Description | Mandatory/Optional | Type |
|---|---|---|---|
txnId | The txnId that is received during the create otp api. | Mandatory | String |
otp | The OTP received by the user on his/her mobile number which is linked to the UAN number. | Mandatory | String |
Sample Request
curl --location 'https://api.signzy.app/api/v3/underwriting/submit-passbook-otp' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth-token> \
--data '{
"txnId": "",
"otp": ""
}'Response
- Headers:
- Content-Type: application/json
- Body:
{
"httpResponseCode": 200,
"message": "OTP Accepted",
"resultCode": 202,
"txnId": <txnId>
}- Response Parameters:
Key | Description | Type |
|---|---|---|
httpResponseCode | The http status code of the request. | Number |
message | The message showing the description about the request. | String |
resultCode | The result code of the request. | Number |
txnId | The txnId | String |
Sample Responses
{
"httpResponseCode": 200,
"message": "OTP Accepted",
"resultCode": 202,
"txnId": <txnId>
}Error Codes
Error Code | Description |
|---|---|
400 | Bad Request |
409 | Upstream is down |
Sample Error Responses
{
"error": {
"name": "error",
"message": "",
"status": 400,
"reason": "Error",
"type": "OK",
"statusCode": 200
}
}